Linux sagir-us1.hostever.us 5.14.0-570.51.1.el9_6.x86_64 #1 SMP PREEMPT_DYNAMIC Wed Oct 8 09:41:34 EDT 2025 x86_64
LiteSpeed
Server IP : 104.247.108.91 & Your IP : 216.73.216.26
Domains : 74 Domain
User : georgeto
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
local /
apps /
mariadb114 /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
aria_chk
6.75
MB
-rwxr-xr-x
2024-05-26 18:41
aria_dump_log
6.54
MB
-rwxr-xr-x
2024-05-26 18:41
aria_ftdump
6.55
MB
-rwxr-xr-x
2024-05-26 18:41
aria_pack
6.58
MB
-rwxr-xr-x
2024-05-26 18:41
aria_read_log
6.71
MB
-rwxr-xr-x
2024-05-26 18:41
aria_s3_copy
6.38
MB
-rwxr-xr-x
2024-05-26 18:41
galera_new_cluster
917
B
-rwxr-xr-x
2024-05-26 18:20
galera_recovery
3.3
KB
-rwxr-xr-x
2025-02-25 04:02
garb-systemd
1.2
KB
-rwxr-xr-x
2024-04-17 17:33
garbd
26.52
MB
-rwxr-xr-x
2024-04-17 17:45
innochecksum
4.59
MB
-rwxr-xr-x
2024-05-26 18:41
mariabackup
28.79
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb
8.58
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-access
109.57
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-admin
7.94
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-backup
28.79
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-binlog
8.22
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-check
7.93
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-client-test
8.48
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-config
24.76
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-conv
4.61
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-convert-table-format
4.28
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-dump
8.05
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-dumpslow
8.19
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-find-rows
3.35
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-fix-extensions
1.31
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-hotcopy
34.65
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-import
7.92
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-ldb
10.25
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-plugin
4.56
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-secure-installation
13.58
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-service-convert
2.45
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-setpermission
17.7
KB
-rwxr-xr-x
2024-05-26 18:20
mariadb-show
7.92
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-slap
7.94
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-test
8.86
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-tzinfo-to-sql
4.56
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-upgrade
5
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb-waitpid
4.55
MB
-rwxr-xr-x
2024-05-26 18:41
mariadb_config
24.76
KB
-rwxr-xr-x
2024-05-26 18:20
mariadbd
298.21
MB
-rwxr-xr-x
2024-05-26 18:40
mariadbd-multi
27
KB
-rwxr-xr-x
2024-05-26 18:20
mariadbd-safe
30.62
KB
-rwxr-xr-x
2024-05-26 18:20
mariadbd-safe-helper
4.52
MB
-rwxr-xr-x
2024-05-26 18:41
mbstream
4.6
MB
-rwxr-xr-x
2024-05-26 18:41
msql2mysql
1.42
KB
-rwxr-xr-x
2024-05-26 18:20
my_print_defaults
4.55
MB
-rwxr-xr-x
2024-05-26 18:41
myisam_ftdump
4.92
MB
-rwxr-xr-x
2024-05-26 18:41
myisamchk
5.04
MB
-rwxr-xr-x
2024-05-26 18:41
myisamlog
4.9
MB
-rwxr-xr-x
2024-05-26 18:41
myisampack
4.94
MB
-rwxr-xr-x
2024-05-26 18:41
myrocks_hotbackup
24.46
KB
-rwxr-xr-x
2024-05-26 18:19
mysql
8.58
MB
-rwxr-xr-x
2024-05-26 18:41
mysql_client_test
8.48
MB
-rwxr-xr-x
2024-05-26 18:41
mysql_config
4.54
KB
-rwxr-xr-x
2024-05-26 18:20
mysql_convert_table_format
4.28
KB
-rwxr-xr-x
2024-05-26 18:20
mysql_find_rows
3.35
KB
-rwxr-xr-x
2024-05-26 18:20
mysql_fix_extensions
1.31
KB
-rwxr-xr-x
2024-05-26 18:20
mysql_ldb
10.25
MB
-rwxr-xr-x
2024-05-26 18:41
mysql_plugin
4.56
MB
-rwxr-xr-x
2024-05-26 18:41
mysql_secure_installation
13.58
KB
-rwxr-xr-x
2024-05-26 18:20
mysql_setpermission
17.7
KB
-rwxr-xr-x
2024-05-26 18:20
mysql_tzinfo_to_sql
4.56
MB
-rwxr-xr-x
2024-05-26 18:41
mysql_upgrade
5
MB
-rwxr-xr-x
2024-05-26 18:41
mysql_waitpid
4.55
MB
-rwxr-xr-x
2024-05-26 18:41
mysqlaccess
109.57
KB
-rwxr-xr-x
2024-05-26 18:20
mysqladmin
7.94
MB
-rwxr-xr-x
2024-05-26 18:41
mysqlbinlog
8.22
MB
-rwxr-xr-x
2024-05-26 18:41
mysqlcheck
7.93
MB
-rwxr-xr-x
2024-05-26 18:41
mysqld
298.21
MB
-rwxr-xr-x
2024-05-26 18:40
mysqld_multi
27
KB
-rwxr-xr-x
2024-05-26 18:20
mysqld_safe
30.62
KB
-rwxr-xr-x
2024-05-26 18:20
mysqld_safe_helper
4.52
MB
-rwxr-xr-x
2024-05-26 18:41
mysqldump
8.05
MB
-rwxr-xr-x
2024-05-26 18:41
mysqldumpslow
8.19
KB
-rwxr-xr-x
2024-05-26 18:20
mysqlhotcopy
34.65
KB
-rwxr-xr-x
2024-05-26 18:20
mysqlimport
7.92
MB
-rwxr-xr-x
2024-05-26 18:41
mysqlshow
7.92
MB
-rwxr-xr-x
2024-05-26 18:41
mysqlslap
7.94
MB
-rwxr-xr-x
2024-05-26 18:41
mysqltest
8.86
MB
-rwxr-xr-x
2024-05-26 18:41
mytop
71.76
KB
-rwxr-xr-x
2024-05-26 18:20
perror
4.75
MB
-rwxr-xr-x
2024-05-26 18:41
replace
4.53
MB
-rwxr-xr-x
2024-05-26 18:41
resolve_stack_dump
4.55
MB
-rwxr-xr-x
2024-05-26 18:41
resolveip
4.55
MB
-rwxr-xr-x
2024-05-26 18:41
sst_dump
5.74
MB
-rwxr-xr-x
2024-05-26 18:41
wsrep_sst_backup
2.95
KB
-rwxr-xr-x
2024-05-26 18:20
wsrep_sst_common
59.83
KB
-rw-r--r--
2024-05-26 18:20
wsrep_sst_mariabackup
50.97
KB
-rwxr-xr-x
2024-05-26 18:20
wsrep_sst_mysqldump
7.71
KB
-rwxr-xr-x
2024-05-26 18:20
wsrep_sst_rsync
31.62
KB
-rwxr-xr-x
2024-05-26 18:20
wsrep_sst_rsync_wan
31.62
KB
-rwxr-xr-x
2024-05-26 18:20
Save
Rename
#!/bin/sh # Copyright (c) 2016 MariaDB Corporation # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; version 2 of the License. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write to the Free Software # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1335 USA */ # This script is intended to be executed by systemd. It starts mysqld with # --wsrep-recover to recover from a non-graceful shutdown, determines the # last stored global transaction ID and echoes it in --wsrep-start-position=XX # format. The output is then captured and used by systemd to start mysqld. # If the server was configured to start without wsrep, nothing is echoed. cmdline_args=$@ user="mysql" print_defaults="/usr/local/apps/mariadb114/bin/my_print_defaults" log_file=$(mktemp /tmp/wsrep_recovery.XXXXXX) euid=$(id -u) recovered_pos="" skipped="" start_pos="" start_pos_opt="" ret=0 wsrep_on=0 log () { local msg="$1" # Print all messages to stderr as we reserve stdout for printing # --wsrep-start-position=XXXX. echo "$msg" >&2 } finish() { rm -f "$log_file" } trap finish EXIT parse_arguments() { for arg do val=`echo "$arg" | sed -e "s;--[^=]*=;;"` case "$arg" in --wsrep[-_]on) wsrep_on=1 ;; --skip[-_]wsrep[-_]on) wsrep_on=0 ;; --wsrep[-_]on=*) if echo $val | grep -iq '\(ON\|1\)'; then wsrep_on=1 else wsrep_on=0 fi ;; esac done } wsrep_recover_position() { # Redirect server's error log to the log file. eval ./bin/mariadbd $cmdline_args --user=$user --wsrep_recover \ --disable-log-error 2> "$log_file" ret=$? if [ $ret -ne 0 ]; then # Something went wrong, let us also print the error log so that it # shows up in systemctl status output as a hint to the user. log "WSREP: Failed to start mysqld for wsrep recovery: '`cat $log_file`'" exit 1 fi # Parse server's error log for recovered position. The server prints # "..skipping position recovery.." if started without wsrep. recovered_pos="$(grep 'WSREP: Recovered position:' $log_file)" if [ -z "$recovered_pos" ]; then skipped="$(grep WSREP $log_file | grep 'skipping position recovery')" if [ -z "$skipped" ]; then log "WSREP: Failed to recover position: '`cat $log_file`'" exit 1 else log "WSREP: Position recovery skipped." fi else start_pos="$(echo $recovered_pos | sed 's/.*WSREP\:\ Recovered\ position://' \ | sed 's/^[ \t]*//')" log "WSREP: Recovered position $start_pos" start_pos_opt="--wsrep_start_position=$start_pos" fi } # Safety checks if [ -n "$log_file" -a -f "$log_file" ]; then chmod 600 $log_file else log "WSREP: mktemp failed" fi parse_arguments `$print_defaults $cmdline_args --loose-verbose --mysqld` # Perform wsrep position recovery if wsrep_on=1, skip otherwise. if [ "$wsrep_on" -eq 1 ]; then wsrep_recover_position fi echo "$start_pos_opt"